PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package environment
  Definition Classes
    serverobject
- DeepCircularSurface
- DeepPlane
- DeepSquare
- DeepSurface
- EnvironmentAttribute
- EnvironmentCollision
- EnvironmentTrait
- EscapeFromEnvironment
- GantryDenialField
- InteractWithEnvironment
- InteractsWithZoneEnvironment
- OxygenStateTarget
- PieceOfEnvironment
- Pool
- RecoveredFromEnvironmentInteraction
- RespondsToZoneEnvironment
- SeaLevel

t

net.psforever.objects.serverobject.environment

# InteractsWithZoneEnvironment

###
Companion object InteractsWithZoneEnvironment

#### trait InteractsWithZoneEnvironment extends AnyRef

This game entity may infrequently test whether it may interact with game world environment.

Self Type
  InteractsWithZoneEnvironment with PlanetSideServerObject
Source
  InteractsWithZoneEnvironment.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
Player, Vehicle, OrbitalShuttle

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. InteractsWithZoneEnvironment
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def allowZoneEnvironmentInteractions: Boolean

   If the environmental interactive permissions of this entity change.

5.  def allowZoneEnvironmentInteractions_=(allow: Boolean): Boolean

   If the environmental interactive permissions of this entity change, trigger a formal change to the interaction methodology.

   If the environmental interactive permissions of this entity change, trigger a formal change to the interaction methodology.

   allow

     whether or not interaction is permitted

   returns

     whether or not interaction is permitted

6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  def resetZoneInteraction(): Unit

    Suspend any current interaction procedures through the proper channels or deactivate a previously flagged interaction blocking procedure and reset the system to its neutral state.

    Suspend any current interaction procedures through the proper channels or deactivate a previously flagged interaction blocking procedure and reset the system to its neutral state. The main difference between resetting and flagging the blocking procedure is that resetting will (probably) restore the previously active procedure on the next `zoneInteraction` call while blocking will halt all attempts to establish a new active interaction procedure and unblocking will immediately install whatever is the current active interaction.

    See also

      `InteractsWithZoneEnvironment.onStableEnvironment`

18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  def toString(): String
    Definition Classes
      AnyRef → Any
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
23.  def zoneInteraction(): Unit

    The method by which zone interactions are tested or a current interaction maintained.

    The method by which zone interactions are tested or a current interaction maintained. Utilize a function literal that, when called, returns a function literal of the same type; the function that is returned will not necessarily be the same as the one that was used but will represent the existing and ongoing status of interaction with the environment. Calling one function and exchanging it for another function to be called like this creates a procedure that controls and limits the interactions with the environment to only what is necessary.

    See also

      `InteractsWithZoneEnvironment.blockedFromInteracting`

      `InteractsWithZoneEnvironment.onStableEnvironment`

      `InteractsWithZoneEnvironment.awaitOngoingInteraction`

### Inherited from AnyRef

### Inherited from Any

### Ungrouped